Upstream information

CVE-2014-8117 at MITRE

Description

softmagic.c in file before 5.21 does not properly limit recursion, which allows remote attackers to cause a denial of service (CPU consumption or crash) via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 910252 [RESOLVED / FIXED], 910253 [RESOLVED / FIXED], 917152 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/default-http-backend:beta1
Container caasp/v4/dnsmasq-nanny:2.78
Container caasp/v4/flannel:0.9.1
Container caasp/v4/haproxy:beta1
Container caasp/v4/kubedns:beta1
Container caasp/v4/nginx-ingress-controller:beta1
Container caasp/v4/openldap:beta1
Container caasp/v4/pause:1.0.0
Container caasp/v4/pv-recycler-node:8.25
Container caasp/v4/salt-api:beta1
Container caasp/v4/salt-master:beta1
Container caasp/v4/salt-minion:beta1
Container caasp/v4/sidecar:beta1
Container caasp/v4/velum:4.0.0
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
Openstack Cloud Magnum Orchestration 7
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1881
SUSE CaaS Platform ALL
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
  • sles12-caasp-dex-image >= 2.0.0-3.3.11
  • sles12-dnsmasq-nanny-image >= 2.0.1-2.3.15
  • sles12-haproxy-image >= 2.0.1-2.3.16
  • sles12-kubedns-image >= 2.0.1-2.3.11
  • sles12-mariadb-image >= 2.0.1-2.3.15
  • sles12-openldap-image >= 2.0.0-2.3.11
  • sles12-pause-image >= 2.0.1-2.3.9
  • sles12-pv-recycler-node-image >= 2.0.1-2.3.10
  • sles12-salt-api-image >= 2.0.1-2.3.10
  • sles12-salt-master-image >= 2.0.1-2.3.10
  • sles12-salt-minion-image >= 2.0.1-2.3.14
  • sles12-sidecar-image >= 2.0.1-2.3.11
  • sles12-tiller-image >= 2.0.0-2.3.11
  • sles12-velum-image >= 2.0.1-2.3.13
Patchnames:
SUSE-CAASP-ALL-2017-1881
SUSE-CAASP-ALL-2018-40
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
  • file >= 5.19-9.1
  • file-magic >= 5.19-9.1
  • libmagic1 >= 5.19-9.1
  • libmagic1-32bit >= 5.19-9.1
SUSE Linux Enterprise Desktop 12 SP2
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
  • libmagic1-32bit >= 5.22-10.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1881
SUSE Linux Enterprise Desktop 12 SP3
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
  • libmagic1-32bit >= 5.22-10.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1881
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • file >= 5.22-10.6.1
  • file-magic >= 5.22-10.6.1
  • libmagic1 >= 5.22-10.6.1
  • libmagic1-32bit >= 5.22-10.6.1
SUSE Linux Enterprise Desktop 12
  • file >= 5.19-9.1
  • file-magic >= 5.19-9.1
  • libmagic1 >= 5.19-9.1
  • libmagic1-32bit >= 5.19-9.1
Patchnames:
SUSE-SLE-DESKTOP-12-2014-126
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • file >= 5.32-7.5.1
  • file-devel >= 5.32-7.5.1
  • file-magic >= 5.32-7.5.1
  • libmagic1 >= 5.32-7.5.1
  • libmagic1-32bit >= 5.32-7.5.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • file >= 5.32-7.8.1
  • file-devel >= 5.32-7.8.1
  • file-magic >= 5.32-7.8.1
  • libmagic1 >= 5.32-7.8.1
  • libmagic1-32bit >= 5.32-7.8.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • file >= 5.32-7.11.2
  • file-devel >= 5.32-7.11.2
  • file-magic >= 5.32-7.11.2
  • libmagic1 >= 5.32-7.11.2
  • libmagic1-32bit >= 5.32-7.11.2
SUSE Linux Enterprise Module for Basesystem 15
  • file >= 5.32-5.22
  • file-devel >= 5.32-5.22
  • file-magic >= 5.32-5.22
  • libmagic1 >= 5.32-5.22
  • libmagic1-32bit >= 5.32-5.22
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
  • libmagic1-32bit >= 5.22-10.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1881
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
  • libmagic1-32bit >= 5.22-10.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1881
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • file >= 5.19-9.1
  • file-magic >= 5.19-9.1
  • libmagic1 >= 5.19-9.1
  • libmagic1-32bit >= 5.19-9.1
Patchnames:
SUSE-SLE-SERVER-12-2014-126
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • file >= 5.22-10.3.1
  • file-magic >= 5.22-10.3.1
  • libmagic1 >= 5.22-10.3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1881
SUSE Linux Enterprise Software Development Kit 12 SP1
  • file-devel >= 5.19-9.1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • file-devel >= 5.22-10.3.1
  • python-magic >= 5.22-10.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1881
SUSE Linux Enterprise Software Development Kit 12 SP3
  • file-devel >= 5.22-10.3.1
  • python-magic >= 5.22-10.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1881
SUSE Linux Enterprise Software Development Kit 12 SP4
  • file-devel >= 5.22-10.6.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • file-devel >= 5.22-10.12.2
SUSE Linux Enterprise Software Development Kit 12
  • file-devel >= 5.19-9.1
  • python-magic >= 5.19-9.1
Patchnames:
SUSE-SLE-SDK-12-2014-126
openSUSE Leap 15.0
  • file >= 5.32-lp150.5.17
  • file-magic >= 5.32-lp150.5.17
  • libmagic1 >= 5.32-lp150.5.17
  • libmagic1-32bit >= 5.32-lp150.5.17
Patchnames:
openSUSE Leap 15.0 GA file-5.32-lp150.5.17
openSUSE Tumbleweed
  • file >= 5.29-2.1
  • file-devel >= 5.29-2.1
  • file-devel-32bit >= 5.29-2.1
  • file-magic >= 5.29-2.1
  • libmagic1 >= 5.29-2.1
  • libmagic1-32bit >= 5.29-2.1
Patchnames:
openSUSE Tumbleweed GA file-5.29-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CAASP (1.0) file Affected
CAASP (2.0) file Released
SLE-HPC (12) file Released
SLED (12) file Released
SLES (12) file Released
SLES-BCL (12) file Released
SLES-ESPOS (12) file Released
SLES-LTSS (12) file Released
SLES-LTSS-ERICSSON (12) file Released
SLES-LTSS-SAP (12) file Released
SLES-for-VMware (11) file Not affected
SLES_RPI (12) file Released
SLES_SAP (12) file Released
SUSE_SLED (11) file Not affected
SUSE_SLES (11) file Not affected
hpe-helion-openstack (8) file Released
openstack-cloud-magnum-orchestration (7) file Released
ses (5) file Released
sle-pos (12) file Released
sle-sdk (11) file Not affected
sle-sdk (12) file Released
suse-openstack-cloud (7) file Released
suse-openstack-cloud (8) file Released
suse-openstack-cloud (9) file Released
suse-openstack-cloud-crowbar (8) file Released
suse-openstack-cloud-crowbar (9) file Released